package ru.dbotthepony.mc.otm.registry

import com.google.common.collect.Iterators
import it.unimi.dsi.fastutil.objects.Object2ObjectOpenHashMap
import it.unimi.dsi.fastutil.objects.ReferenceLinkedOpenHashSet
import it.unimi.dsi.fastutil.objects.ReferenceOpenHashSet
import net.minecraft.resources.ResourceLocation
import net.minecraft.world.item.CreativeModeTab
import net.minecraft.world.item.Item
import net.minecraft.world.item.ItemStack
import net.minecraftforge.event.CreativeModeTabEvent
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.core.WriteOnce
import ru.dbotthepony.mc.otm.core.registryName
import ru.dbotthepony.mc.otm.registry.MItems.BATTERY_CREATIVE

object MCreativeTabs {
	var MAIN by WriteOnce<CreativeModeTab>()
		private set
	var DECORATIVE by WriteOnce<CreativeModeTab>()
		private set

	internal fun register(event: CreativeModeTabEvent.Register) {
		MAIN = event.registerCreativeModeTab(ResourceLocation(OverdriveThatMatters.MOD_ID, "otm")) {
			it.icon { ItemStack(BATTERY_CREATIVE, 1) }

			it.displayItems { features, consumer, flag ->
				addMainCreativeTabItems(consumer)
			}
		}

		DECORATIVE = event.registerCreativeModeTab(ResourceLocation(OverdriveThatMatters.MOD_ID, "otm_decorative")) {
			it.icon { ItemStack(MRegistry.VENT.item, 1) }

			it.displayItems { features, consumer, flag ->
				addDecorativeTabItems(consumer)
			}
		}
	}
}
